#ifndef HYPER_GENOM_MODEL_REFERENCE_HH_
#define HYPER_GENOM_MODEL_REFERENCE_HH_

#include <boost/mpl/void.hpp>

namespace hyper {
	namespace genom_model {

		template <typename T>
		struct reference 
		{
			typedef T& type;
		};

		template <>
		struct reference<void>
		{
			typedef boost::mpl::void_ type;
		};
	}
}

#endif /* HYPER_GENOM_MODEL_REFERENCE_HH_ */
